Skip to main content

Inventory Status

Frequency:

Status data of an inventory process.

Expected data:

Inventory status document and inventory results.

Technical:


GET https://{url}/v1/inventory/{inventoryId}/status

Retrieve the status and results of an inventory.

Response Body

The response contains the inventory status, dates, custom data, and counted articles.

Top-level response fields:

NameTypeRequiredDescription
successbooleanYesWhether the operation succeeded
messagestringNoError message, if applicable
errorsstring[]NoAdditional error messages, if present
dataobjectYesInventory data object

Inventory data object (inside data):

NameTypeRequiredDescription
inventory_idintegerYesInventory unique identifier
status_idintegerYesInventory status: 1 - Requested, 3 - Completed, 4 - Cancelled
statusstringYesInventory status name
requestedstringYesInventory request date and time (in format '2025-04-15T12:51:34')
startedstringYesInventory start date and time (in format '2025-04-15T12:51:34')
completedstringYesInventory completion date and time (in format '2025-04-15T12:51:34')
dataobjectYesA data object with a flexible structure, linked to an inventory, which was received from the ERP during the Inventory Request
articlesarrayNoArray of counted article objects

Article object (inside articles array):

NameTypeRequiredDescription
article_idstringYesArticle unique identifier in ERP
quantitynumberYesInventory quantity
quantity_unit_idstringYesQuantity unit of measure
dataobjectNoA data object with a flexible structure that represents a specific article in inventory, which was received during the Inventory Request. The contents of this object are generated by the ERP system.

Response

200: OK — Success

{
"success": true,
"message": null,
"errors": null,
"data": {
"inventory_id": 3,
"status_id": 3,
"status": "Completed",
"requested": "2021-05-26T12:35:45",
"started": "2021-05-26T14:08:34",
"completed": "2021-05-26T18:42:20",
"data": {
"templateId": "Example Template ID",
"Batch": "123321",
"Notes": "Some text",
"any_field": "any value"
},
"articles": [
{
"article_id": "0001",
"quantity": 5.000,
"quantity_unit_id": "GAB",
"data": {
"line_number": "10000",
"any_field": "any value"
}
},
{
"article_id": "T95380",
"quantity": 3.000,
"quantity_unit_id": "GAB",
"data": {
"line_number": "60000",
"any_field": "any value"
}
}
]
}
}

400: Bad Request — Error

{
"success": false,
"message": "Inventory not found",
"errors": []
}